## gnome-builder 3.25.91

=== meson_options.txt ===
# TODO: Add descriptions to all of these
option('enable_tracing', type: 'boolean', value: false)
option('enable_profiling', type: 'boolean', value: false)
option('enable_rdtscp', type: 'boolean', value: false,
  description: 'High performance counters'
)

option('with_channel',
          type: 'combo',
       choices: [ 'other', 'flatpak-stable', 'flatpak-nightly' ],
   description: 'The distribution channel for Builder',
)

option('with_editorconfig', type: 'boolean')
option('with_webkit', type: 'boolean')
option('with_introspection', type: 'boolean')
option('with_vapi', type: 'boolean')
option('with_help', type: 'boolean')
option('with_docs', type: 'boolean')

# Plugins
# Ideally we want many of these to be defined in the plugin dir:
#   https://github.com/mesonbuild/meson/issues/707
option('with_autotools', type: 'boolean')
option('with_autotools_templates', type: 'boolean', value: false)
option('with_beautifier', type: 'boolean')
option('with_c_pack', type: 'boolean')
option('with_cargo', type: 'boolean')
option('with_clang', type: 'boolean')
option('with_cmake', type: 'boolean')
option('with_color_picker', type: 'boolean')
option('with_command_bar', type: 'boolean')
option('with_comment_code', type: 'boolean')
option('with_create_project', type: 'boolean')
option('with_ctags', type: 'boolean')
option('with_documentation_card', type: 'boolean')
option('with_devhelp', type: 'boolean')
option('with_eslint', type: 'boolean')
option('with_file_search', type: 'boolean')
option('with_find_other_file', type: 'boolean')
option('with_flatpak', type: 'boolean')
option('with_fpaste', type: 'boolean')
option('with_gcc', type: 'boolean')
option('with_gettext', type: 'boolean')
option('with_git', type: 'boolean')
option('with_gnome_code_assistance', type: 'boolean')
option('with_html_completion', type: 'boolean')
option('with_html_preview', type: 'boolean')
option('with_jedi', type: 'boolean')
option('with_jhbuild', type: 'boolean')
option('with_make', type: 'boolean')
option('with_meson', type: 'boolean')
option('with_meson_templates', type: 'boolean')
option('with_mingw', type: 'boolean')
option('with_mono', type: 'boolean')
option('with_notification', type: 'boolean')
option('with_npm', type: 'boolean')
option('with_phpize', type: 'boolean')
option('with_project_tree', type: 'boolean')
option('with_python_gi_imports_completion', type: 'boolean')
option('with_python_pack', type: 'boolean')
option('with_quick_highlight', type: 'boolean')
option('with_retab', type: 'boolean')
option('with_rust_langserv', type: 'boolean')
option('with_rustup', type: 'boolean')
option('with_spellcheck', type: 'boolean')
option('with_support', type: 'boolean')
option('with_symbol_tree', type: 'boolean')
option('with_sysmon', type: 'boolean')
option('with_sysprof', type: 'boolean')
option('with_terminal', type: 'boolean')
option('with_todo', type: 'boolean')
option('with_vala_pack', type: 'boolean')
option('with_valgrind', type: 'boolean')
option('with_xml_pack', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.25.91-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/control.in:
      + Lower libgit2-glib-1.0-dev Build-Depends to 0.24 since Ubuntu
       doesn't have a newer version yet
    - Add revert-require-libgit2-glib25.patch:
      + needed to build with the older version
  * debian/control.in:
    - Drop obsolete Build-Depends on libgjs-dev
  * debian/rules:
    - Disable the terminal since it requires vte2.91 to be built with
      pcre2. See bug 1636666.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Sep 2017 08:27:50 -0400

gnome-builder (3.25.91-1) experimental; urgency=medium

  * Only build-dep and enable flatpak plugin on linux
  * Use dh_missing --fail-missing instead of obsolete dh_install....
  * Bump Standards-Version to 4.1.0
  * New upstream beta release.
  * Update build-dependencies according to upstream changes.
  * Drop debian/patches/revert-require-libgit2-glib25.patches
  * Use C.UTF-8 locale when building as C is not supported.
  * Switch configure flags to meson option defines.
  * Install python gi overrides file from dist-packages path.
  * Stop installing dropped ide-* binaries (internals moved to libdazzle).

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 Aug 2017 15:52:07 +0200

gnome-builder (3.24.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in:
    - Switch to vala 0.36
    - Add Build-Depends on libgspell-1-dev
    - Bump Build-Depends on sysprof to (>= 3.23.91) as required by the
      sysprof plugin.
    - Recommend flatpak-builder
  * Update configure switches:
    - Add beautifier, cmake, eslint, make, mono, phpize, rust
    - Explicitly disable meson-templates, see GNOME #778897
    - Drop contributing (dropped in new version)
    - Drop build-tools and devhelp (always enabled)
  * Enable valgrind plugin on architectures that have valgrind
    and recommend valgrind on those architectures
  * Don't install local copy of https://builder.readthedocs.io/
    because the local docs will need more work for proper packaging
  * Add revert-require-libgit2-glib25.patch:
    - Don't require version of libgit2-glib not in Debian yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 02 Aug 2017 04:11:14 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-builder
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               dh-python,
               debhelper (>= 10.3~),
               desktop-file-utils,
               exuberant-ctags,
               gnome-pkg-tools,
               gobject-introspection (>= 1.48.0),
               libclang-dev [!armel],
               libdazzle-1.0-dev (>= 3.25.91),
               libdevhelp-dev (>= 3.20.0),
               libenchant-dev (>= 1.6.0),
               libflatpak-dev (>= 0.6.9) [linux-any],
               libgit2-glib-1.0-dev (>= 0.24.0),
               libjsonrpc-glib-1.0-dev (>= 3.25.3),
               libsoup2.4-dev,
               libglib2.0-dev (>= 2.53.2),
               libgspell-1-dev (>= 1.2.0),
               libgtk-3-dev (>= 3.22.1),
               libgtksourceview-3.0-dev (>= 3.22.0),
               libjson-glib-dev (>= 0.1.0),
               libpango1.0-dev (>= 1.38.0),
               libpcre3-dev,
               libpeas-dev (>= 1.21.0),
               libtemplate-glib-1.0-dev (>= 3.25.3),
               libvala-0.36-dev,
               libvte-2.91-dev (>= 0.46),
               libwebkit2gtk-4.0-dev (>= 2.8.4),
               libxml2-dev (>= 2.9.0),
               llvm [!armel],
               meson (>= 0.40.1),
               mm-common,
               python-gi-dev (>= 3.22.0),
               python3-dev,
               sysprof (>= 3.23.91) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
               valac (>= 0.36),
# Don't (re)build libide api docs for now:
#               gtk-doc-tools,
Standards-Version: 4.1.0
Homepage: https://wiki.gnome.org/Apps/Builder
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-builder/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-builder/

Package: gnome-builder
Architecture: any
Depends: exuberant-ctags,
         gir1.2-git2-glib-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-3.0,
         gir1.2-peas-1.0,
         gir1.2-webkit2-4.0,
         python3-gi,
         valac-0.36-vapi,
         libvala-0.36-dev,
         clang [!armel],
         autoconf-archive,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-jedi, python3-lxml, sysprof, flatpak-builder, valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32]
Description: IDE for GNOME
 Builder is a new IDE for GNOME that is focused on bringing the power of
 our platform to more developers than ever before.
 .
 Builder attempts to be an IDE for writing software for GNOME. It does not try
 to be a generic IDE, but one specialized for GNOME application developers.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export LC_ALL=C.UTF-8

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Explicitly disable this plugin which defaults to enabled
# unless we're on the limited set of architectures that has sysprof.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32,$(DEB_HOST_ARCH)))
SYSPROF_PLUGIN = -Dwith_sysprof=true
else
SYSPROF_PLUGIN = -Dwith_sysprof=false
endif

ifneq (,$(filter amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32,$(DEB_HOST_ARCH)))
VALGRIND_PLUGIN = -Dwith_valgrind=true
else
VALGRIND_PLUGIN = -Dwith_valgrind=false
endif

ifeq (armel,$(DEB_HOST_ARCH))
CLANG_PLUGIN = -Dwith_clang=false
else
CLANG_PLUGIN = -Dwith_clang=true
endif

ifneq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
FLATPAK_PLUGIN = -Dwith_flatpak=true
else
FLATPAK_PLUGIN = -Dwith_flatpak=false
endif

%:
	dh $@  --with gir,gnome,python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dwith_autotools=true \
		-Dwith_autotools_templates=true \
		-Dwith_beautifier=true \
		-Dwith_cargo=true \
		-Dwith_cmake=true \
		-Dwith_color_picker=true \
		-Dwith_command_bar=true \
		-Dwith_comment_code=true \
		-Dwith_create_project=true \
		-Dwith_c_pack=true \
		-Dwith_ctags=true \
		-Dwith_eslint=true \
		-Dwith_file_search=true \
		-Dwith_fpaste=true \
		-Dwith_gcc=true \
		-Dwith_gettext=true \
		-Dwith_git=true \
		-Dwith_gnome-code-assistance=true \
		-Dwith_html-completion=true \
		-Dwith_html-preview=true \
		-Dwith_jedi=true \
		-Dwith_jhbuild=true \
		-Dwith_make=true \
		-Dwith_meson=true \
		-Dwith_mono=true \
		-Dwith_meson_templates=false \
		-Dwith_mingw=false \
		-Dwith_phpize=true \
		-Dwith_project-tree=true \
		-Dwith_python-gi-imports-completion=true \
		-Dwith_python-pack=true \
		-Dwith_quick-highlight=true \
		-Dwith_rust-langserv=true \
		-Dwith_support=true \
		-Dwith_symbol-tree=true \
		-Dwith_sysmon=true \
		-Dwith_terminal=false \
		-Dwith_todo=true \
		-Dwith_vala-pack=true \
		-Dwith_xml-pack=true \
		$(CLANG_PLUGIN) \
		$(FLATPAK_PLUGIN) \
		$(SYSPROF_PLUGIN) \
		$(VALGRIND_PLUGIN)

# force debian/tmp installation for now until we ship
# more then one binary package, then this can be dropped...
override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_test:
	dh_auto_test || true

override_dh_install:
	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/
	find debian/tmp -name '*.la' -delete
	find debian/tmp/usr/lib/ \( -name '*.pyc' -o -name '*.pyo' \) -delete
	rm -rf debian/tmp/usr/include/gnome-builder-*
	dh_install -Xgtk-doc -Xpkgconfig -Xgir-1.0 -Xusr/share/doc/gnome-builder/html

override_dh_missing:
	# see debian/not-installed and bgo#758266 + #804769
	dh_missing --fail-missing -Xpkgconfig

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder

override_dh_shlibdeps:
	LD_LIBRARY_PATH="debian/gnome-builder/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/" dh_shlibdeps

override_dh_girepository:
	dh_girepository -ldebian/tmp/usr/share/gnome-builder/gir-1.0 \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/ \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/girepository-1.0/

override_dh_python3:
# https://bugs.debian.org/838342
	dh_python3 -X.*/plugins/autotools_templates/resources/.*

## gnome-builder 3.26.0

=== meson_options.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
 option('with_clang', type: 'boolean')
 option('with_cmake', type: 'boolean')
 option('with_color_picker', type: 'boolean')
+option('with_code_index', type: 'boolean')
 option('with_command_bar', type: 'boolean')
 option('with_comment_code', type: 'boolean')
 option('with_create_project', type: 'boolean')
@@ -41,9 +42,11 @@
 option('with_flatpak', type: 'boolean')
 option('with_fpaste', type: 'boolean')
 option('with_gcc', type: 'boolean')
+option('with_gdb', type: 'boolean')
 option('with_gettext', type: 'boolean')
 option('with_git', type: 'boolean')
 option('with_gnome_code_assistance', type: 'boolean')
+option('with_history', type: 'boolean')
 option('with_html_completion', type: 'boolean')
 option('with_html_preview', type: 'boolean')
 option('with_jedi', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.26.0-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/control.in:
      + Lower libgit2-glib-1.0-dev Build-Depends to 0.24 since Ubuntu
       doesn't have a newer version yet
      + Depend on gir1.2-git2-glib-1.0 instead of renamed gir1.2-ggit-1.0
    - Add revert-require-libgit2-glib25.patch:
      + needed to build with the older version
    - debian/rules:
      + Disable the terminal since it requires vte2.91 to be built with
        pcre2. See bug 1636666.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Sep 2017 20:08:44 -0400

gnome-builder (3.26.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control.in: Bump the (build-)dependencies
    - Drop debian/patches/git_gdb-fix-mips-build.patch, merged upstream
    - Drop d/p/revert-require-libgit2-glib25.patch, not needed anymore
  * debian/control.in: gir1.2-git2-glib-1.0 package has been renamed, switch
    to gir1.2-ggit-1.0 instead
  * debian/rules: Use xvfb when running the tests
  * debian/rules: Enable the meson templates
  * debian/control.in: Add Recommends against meson, build-essential and other
    autotools packages so generated project can be build (Closes: #851353)
  * Add debian/gnome-builder.lintian-overrides

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Sep 2017 12:50:58 +0200

gnome-builder (3.25.92-2) unstable; urgency=medium

  * Add git_gdb-fix-mips-build.patch:
    - Fix build failure on mips* architectures

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Sep 2017 15:41:37 -0400

gnome-builder (3.25.92-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable
  * debian/control.in:
    - Bump minimum jsonrpc-glib, libdazzle, and template-glib to 3.25.92
    - Drop obsolete Build-Depends on libgjs-dev
  * debian/control.in, Add revert-require-libgit2-glib25.patch:
    - Build with libgit-glib 0.24 since 0.26 is still in experimental
  * debian/copyright:
    - Use Files-Excluded to not include embedded code copies of
      jsonrpc-glib, libdazzle and template-glib in source tarball
    - Some updates

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Sep 2017 08:59:58 -0400

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
+               ca-certificates <!nocheck>,
                dh-python,
                debhelper (>= 10.3~),
                desktop-file-utils,
@@ -16,12 +17,12 @@
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
                libclang-dev [!armel],
-               libdazzle-1.0-dev (>= 3.25.91),
+               libdazzle-1.0-dev (>= 3.26.0),
                libdevhelp-dev (>= 3.20.0),
                libenchant-dev (>= 1.6.0),
                libflatpak-dev (>= 0.6.9) [linux-any],
                libgit2-glib-1.0-dev (>= 0.24.0),
-               libjsonrpc-glib-1.0-dev (>= 3.25.3),
+               libjsonrpc-glib-1.0-dev (>= 3.26.0),
                libsoup2.4-dev,
                libglib2.0-dev (>= 2.53.2),
                libgspell-1-dev (>= 1.2.0),
@@ -30,8 +31,8 @@
                libjson-glib-dev (>= 0.1.0),
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
-               libpeas-dev (>= 1.21.0),
-               libtemplate-glib-1.0-dev (>= 3.25.3),
+               libpeas-dev (>= 1.22.0),
+               libtemplate-glib-1.0-dev (>= 3.26.0),
                libvala-0.36-dev,
                libvte-2.91-dev (>= 0.46),
                libwebkit2gtk-4.0-dev (>= 2.8.4),
@@ -43,6 +44,8 @@
                python3-dev,
                sysprof (>= 3.23.91) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
                valac (>= 0.36),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
 #               gtk-doc-tools,
 Standards-Version: 4.1.0
@@ -53,22 +56,35 @@
 Package: gnome-builder
 Architecture: any
 Depends: exuberant-ctags,
-         gir1.2-git2-glib-1.0,
+         gir1.2-git2-glib-1.0 (>= 0.24.0),
          gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
-         gir1.2-gtksource-3.0,
-         gir1.2-peas-1.0,
-         gir1.2-webkit2-4.0,
+         gir1.2-gtk-3.0 (>= 3.22.1),
+         gir1.2-gtksource-3.0 (>= 3.22.0),
+         gir1.2-peas-1.0 (>= 1.22.0),
+         gir1.2-webkit2-4.0 (>= 2.8.4),
          python3-gi,
          valac-0.36-vapi,
          libvala-0.36-dev,
          clang [!armel],
-         autoconf-archive,
          ${gir:Depends},
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-jedi, python3-lxml, sysprof, flatpak-builder, valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32]
+Recommends: autoconf,
+            autoconf-archive (>= 20150224),
+            automake (>= 1:1.11),
+            autopoint,
+            build-essential,
+            flatpak-builder,
+            gettext,
+            intltool,
+            libtool,
+            meson,
+            pkg-config,
+            python3-jedi,
+            python3-lxml,
+            sysprof,
+            valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32]
 Description: IDE for GNOME
  Builder is a new IDE for GNOME that is focused on bringing the power of
  our platform to more developers than ever before.

=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 		-Dwith_make=true \
 		-Dwith_meson=true \
 		-Dwith_mono=true \
-		-Dwith_meson_templates=false \
+		-Dwith_meson_templates=true \
 		-Dwith_mingw=false \
 		-Dwith_phpize=true \
 		-Dwith_project-tree=true \
@@ -103,7 +103,7 @@
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
 
 override_dh_auto_test:
-	dh_auto_test || true
+	xvfb-run dh_auto_test
 
 override_dh_install:
 	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/
@@ -129,4 +129,4 @@
 
 override_dh_python3:
 # https://bugs.debian.org/838342
-	dh_python3 -X.*/plugins/autotools_templates/resources/.*
+	dh_python3 -X.*/plugins/autotools_templates/resources/.* -X.*/plugins/meson_templates/resources/.*

## gnome-builder 3.26.1

=== debian/changelog ===
gnome-builder (3.26.1-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/control.in:
      + Lower libgit2-glib-1.0-dev Build-Depends to 0.24 since Ubuntu
       doesn't have a newer version yet
      + Depend on gir1.2-git2-glib-1.0 instead of renamed gir1.2-ggit-1.0
    - Add revert-require-libgit2-glib25.patch:
      + needed to build with the older version
  * Rebase and re-enable revert-require-vte*.patch (LP: #1722953):
    - Patches needed to build with Ubuntu's vte2.91 which is not built
      with pcre2. See bug 1636666.
  * Dropped change: Disable terminal. No longer needed with above change.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 11 Oct 2017 19:13:51 -0400

gnome-builder (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump the build-dependencies
  * Add git_protect-against-spurious-builds.patch:
    - Cherry-pick fix for excessive build notifications
  * Add fix-build-with-multiarch.patch, modify gnome-builder.install:
    - Install Ide.py to the correct non-multiarch directory
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 11 Oct 2017 19:06:57 -0400

gnome-builder (3.26.0-1ubuntu2) artful; urgency=medium

  * Don't make build tests fatal

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Sep 2017 22:00:53 -0400

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,12 @@
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
                libclang-dev [!armel],
-               libdazzle-1.0-dev (>= 3.26.0),
+               libdazzle-1.0-dev (>= 3.26.1),
                libdevhelp-dev (>= 3.20.0),
                libenchant-dev (>= 1.6.0),
                libflatpak-dev (>= 0.6.9) [linux-any],
                libgit2-glib-1.0-dev (>= 0.24.0),
-               libjsonrpc-glib-1.0-dev (>= 3.26.0),
+               libjsonrpc-glib-1.0-dev (>= 3.26.1),
                libsoup2.4-dev,
                libglib2.0-dev (>= 2.53.2),
                libgspell-1-dev (>= 1.2.0),
@@ -32,7 +32,7 @@
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
                libpeas-dev (>= 1.22.0),
-               libtemplate-glib-1.0-dev (>= 3.26.0),
+               libtemplate-glib-1.0-dev (>= 3.26.1),
                libvala-0.36-dev,
                libvte-2.91-dev (>= 0.46),
                libwebkit2gtk-4.0-dev (>= 2.8.4),
@@ -48,7 +48,7 @@
                xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
 #               gtk-doc-tools,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://wiki.gnome.org/Apps/Builder
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-builder/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-builder/

=== debian/rules ===
--- 
+++ 
@@ -88,7 +88,7 @@
 		-Dwith_support=true \
 		-Dwith_symbol-tree=true \
 		-Dwith_sysmon=true \
-		-Dwith_terminal=false \
+		-Dwith_terminal=true \
 		-Dwith_todo=true \
 		-Dwith_vala-pack=true \
 		-Dwith_xml-pack=true \
@@ -103,7 +103,7 @@
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
 
 override_dh_auto_test:
-	xvfb-run dh_auto_test
+	xvfb-run dh_auto_test || true
 
 override_dh_install:
 	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/

## gnome-builder 3.26.2

=== debian/changelog ===
gnome-builder (3.26.2-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
    - Add revert-require-vte*.patch:
      - Needed to build with Ubuntu's vte2.91 which is not built
        with pcre2. See bug 1636666.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Nov 2017 14:36:22 -0500

gnome-builder (3.26.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop git_protect-against-spurious-builds.patch: Applied in new release

  [ Emilio Pozuelo Monfort ]
  * Build-depend on python3 and python3-gi rather than the development
    packages, as we don't need development headers.
  * Re-enable clang support on armel, as LLVM is fixed there.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 05 Nov 2017 14:31:52 -0500

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,19 @@
 Build-Depends: appstream-util,
                ca-certificates <!nocheck>,
                dh-python,
+               python3-gi (>= 3.22.0),
+               python3:any,
                debhelper (>= 10.3~),
                desktop-file-utils,
                exuberant-ctags,
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
-               libclang-dev [!armel],
+               libclang-dev,
                libdazzle-1.0-dev (>= 3.26.1),
                libdevhelp-dev (>= 3.20.0),
                libenchant-dev (>= 1.6.0),
                libflatpak-dev (>= 0.6.9) [linux-any],
-               libgit2-glib-1.0-dev (>= 0.24.0),
+               libgit2-glib-1.0-dev (>= 0.25.0),
                libjsonrpc-glib-1.0-dev (>= 3.26.1),
                libsoup2.4-dev,
                libglib2.0-dev (>= 2.53.2),
@@ -37,11 +39,9 @@
                libvte-2.91-dev (>= 0.46),
                libwebkit2gtk-4.0-dev (>= 2.8.4),
                libxml2-dev (>= 2.9.0),
-               llvm [!armel],
+               llvm,
                meson (>= 0.40.1),
                mm-common,
-               python-gi-dev (>= 3.22.0),
-               python3-dev,
                sysprof (>= 3.23.91) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
                valac (>= 0.36),
                xauth <!nocheck>,
@@ -56,7 +56,7 @@
 Package: gnome-builder
 Architecture: any
 Depends: exuberant-ctags,
-         gir1.2-git2-glib-1.0 (>= 0.24.0),
+         gir1.2-ggit-1.0 (>= 0.25.0),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0 (>= 3.22.1),
          gir1.2-gtksource-3.0 (>= 3.22.0),
@@ -65,7 +65,7 @@
          python3-gi,
          valac-0.36-vapi,
          libvala-0.36-dev,
-         clang [!armel],
+         clang,
          ${gir:Depends},
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -35,12 +35,6 @@
 VALGRIND_PLUGIN = -Dwith_valgrind=false
 endif
 
-ifeq (armel,$(DEB_HOST_ARCH))
-CLANG_PLUGIN = -Dwith_clang=false
-else
-CLANG_PLUGIN = -Dwith_clang=true
-endif
-
 ifneq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
 FLATPAK_PLUGIN = -Dwith_flatpak=true
 else
@@ -56,6 +50,7 @@
 		-Dwith_autotools_templates=true \
 		-Dwith_beautifier=true \
 		-Dwith_cargo=true \
+		-Dwith_clang=true \
 		-Dwith_cmake=true \
 		-Dwith_color_picker=true \
 		-Dwith_command_bar=true \
@@ -92,13 +87,12 @@
 		-Dwith_todo=true \
 		-Dwith_vala-pack=true \
 		-Dwith_xml-pack=true \
-		$(CLANG_PLUGIN) \
 		$(FLATPAK_PLUGIN) \
 		$(SYSPROF_PLUGIN) \
 		$(VALGRIND_PLUGIN)
 
 # force debian/tmp installation for now until we ship
-# more then one binary package, then this can be dropped...
+# more than one binary package, then this can be dropped...
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp

## gnome-builder 3.26.4

=== meson_options.txt ===
--- 
+++ 
@@ -40,7 +40,6 @@
 option('with_file_search', type: 'boolean')
 option('with_find_other_file', type: 'boolean')
 option('with_flatpak', type: 'boolean')
-option('with_fpaste', type: 'boolean')
 option('with_gcc', type: 'boolean')
 option('with_gdb', type: 'boolean')
 option('with_gettext', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.26.4-2ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
    - Add revert-require-vte*.patch:
      - Needed to build with Ubuntu's vte2.91 which is not built
        with pcre2. See bug 1636666.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Feb 2018 12:35:33 -0500

gnome-builder (3.26.4-2) unstable; urgency=medium

  * Build with vala 0.38

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 06 Feb 2018 10:35:02 -0500

gnome-builder (3.26.4-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libdazzle to 3.26.3

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 01 Feb 2018 07:49:41 -0500

gnome-builder (3.26.3-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libdazzle to 3.26.2
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Build-Depend on debhelper >= 11.1 to automatically build with the C.UTF-8
    locale
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 07:00:16 -0500

gnome-builder (3.26.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 12:52:51 -0500

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                ca-certificates <!nocheck>,
                dh-python,
                python3-gi (>= 3.22.0),
                python3:any,
-               debhelper (>= 10.3~),
+               debhelper (>= 11.1),
                desktop-file-utils,
                exuberant-ctags,
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
                libclang-dev,
-               libdazzle-1.0-dev (>= 3.26.1),
+               libdazzle-1.0-dev (>= 3.26.3),
                libdevhelp-dev (>= 3.20.0),
                libenchant-dev (>= 1.6.0),
                libflatpak-dev (>= 0.6.9) [linux-any],
@@ -35,7 +35,7 @@
                libpcre3-dev,
                libpeas-dev (>= 1.22.0),
                libtemplate-glib-1.0-dev (>= 3.26.1),
-               libvala-0.36-dev,
+               libvala-0.38-dev,
                libvte-2.91-dev (>= 0.46),
                libwebkit2gtk-4.0-dev (>= 2.8.4),
                libxml2-dev (>= 2.9.0),
@@ -43,15 +43,15 @@
                meson (>= 0.40.1),
                mm-common,
                sysprof (>= 3.23.91) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
-               valac (>= 0.36),
+               valac (>= 0.38),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
 #               gtk-doc-tools,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder/tree/ubuntu/bionic
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git -b ubuntu/bionic
 Homepage: https://wiki.gnome.org/Apps/Builder
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-builder/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-builder/
 
 Package: gnome-builder
 Architecture: any
@@ -63,8 +63,8 @@
          gir1.2-peas-1.0 (>= 1.22.0),
          gir1.2-webkit2-4.0 (>= 2.8.4),
          python3-gi,
-         valac-0.36-vapi,
-         libvala-0.36-dev,
+         valac-0.38-vapi,
+         libvala-0.38-dev,
          clang,
          ${gir:Depends},
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,8 @@
 #!/usr/bin/make -f
-
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-export LC_ALL=C.UTF-8
-
-# output every command that modifies files on the build system.
-#DH_VERBOSE = 1
-
-# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
-
-# see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# see ENVIRONMENT in dpkg-buildflags(1)
-# package maintainers to append CFLAGS
-#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
-#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Explicitly disable this plugin which defaults to enabled
 # unless we're on the limited set of architectures that has sysprof.
@@ -101,8 +85,8 @@
 
 override_dh_install:
 	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/
-	find debian/tmp -name '*.la' -delete
-	find debian/tmp/usr/lib/ \( -name '*.pyc' -o -name '*.pyo' \) -delete
+	find debian/tmp -name '*.la' -print -delete
+	find debian/tmp/usr/lib/ \( -name '*.pyc' -o -name '*.pyo' \) -print -delete
 	rm -rf debian/tmp/usr/include/gnome-builder-*
 	dh_install -Xgtk-doc -Xpkgconfig -Xgir-1.0 -Xusr/share/doc/gnome-builder/html

## gnome-builder 3.28.0

=== debian/changelog ===
gnome-builder (3.28.0-1ubuntu1) bionic; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/p/revert-require-vte*.patch: rebased on new version 
    - debian/gbp.conf, control.in: ubdate for ubuntu branch/tags on salsa

 -- Tim Lunn <tim@feathertop.org>  Mon, 26 Mar 2018 19:23:01 +1100

gnome-builder (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable
  * Bump minimum jsonrpc-glib, libdazzle, and template-glib to 3.28.0
  * Bump minimum glib2.0 to 2.56.0
  * Drop temporary Build-Depends on libclang-5.0-dev
  * Add revert-spellcheck-depend-on-enchant-2.patch:
    - Debian doesn't have the latest gpsell or enchant2 so revert
      this unnecessary version bump

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 09:47:26 -0400

gnome-builder (3.27.90-1) experimental; urgency=medium

  * New upstream development release
    - /usr/bin/gnome-builder-cli is no longer included
  * debian/copyright: Drop obsolete Files-Excluded references
    (embedded code copies are no longer included in gnome-builder releases)
  * debian/control.in:
    - Bump minimum jsonrpc-glib, libdazzle, template-glib, and vala versions
    - Build-Depend on llvm-dev
    - Add a temporary Build-Depends on libclang-5.0-dev to match
      the llvm 5.0 that is being pulled in
  * Update debian/rules for latest build options

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Feb 2018 10:39:46 -0500

gnome-builder (3.26.4-2ubuntu4) bionic; urgency=medium

  * No-change rebuild against latest devhelp

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Feb 2018 16:52:22 -0500

gnome-builder (3.26.4-2ubuntu3) bionic; urgency=medium

  * No-change rebuild against latest jsonrpc-glib

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 23:21:27 -0500

gnome-builder (3.26.4-2ubuntu2) bionic; urgency=medium

  * Build with vala 0.40

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Feb 2018 11:04:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-builder
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util,
                ca-certificates <!nocheck>,
                dh-python,
@@ -19,14 +19,14 @@
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
                libclang-dev,
-               libdazzle-1.0-dev (>= 3.26.3),
+               libdazzle-1.0-dev (>= 3.28.0),
                libdevhelp-dev (>= 3.20.0),
                libenchant-dev (>= 1.6.0),
                libflatpak-dev (>= 0.6.9) [linux-any],
                libgit2-glib-1.0-dev (>= 0.25.0),
-               libjsonrpc-glib-1.0-dev (>= 3.26.1),
+               libjsonrpc-glib-1.0-dev (>= 3.28.0),
                libsoup2.4-dev,
-               libglib2.0-dev (>= 2.53.2),
+               libglib2.0-dev (>= 2.56.0),
                libgspell-1-dev (>= 1.2.0),
                libgtk-3-dev (>= 3.22.1),
                libgtksourceview-3.0-dev (>= 3.22.0),
@@ -34,16 +34,17 @@
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
                libpeas-dev (>= 1.22.0),
-               libtemplate-glib-1.0-dev (>= 3.26.1),
-               libvala-0.38-dev,
+               libtemplate-glib-1.0-dev (>= 3.28.0),
+               libvala-0.40-dev,
                libvte-2.91-dev (>= 0.46),
                libwebkit2gtk-4.0-dev (>= 2.8.4),
                libxml2-dev (>= 2.9.0),
                llvm,
+               llvm-dev,
                meson (>= 0.40.1),
                mm-common,
                sysprof (>= 3.23.91) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
-               valac (>= 0.38),
+               valac (>= 0.39.7),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
@@ -63,8 +64,8 @@
          gir1.2-peas-1.0 (>= 1.22.0),
          gir1.2-webkit2-4.0 (>= 2.8.4),
          python3-gi,
-         valac-0.38-vapi,
-         libvala-0.38-dev,
+         valac-0.40-vapi,
+         libvala-0.40-dev,
          clang,
          ${gir:Depends},
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,7 @@
 		-Dwith_mono=true \
 		-Dwith_meson_templates=true \
 		-Dwith_mingw=false \
+		-Dwith_newcomers=true \
 		-Dwith_phpize=true \
 		-Dwith_project-tree=true \
 		-Dwith_python-gi-imports-completion=true \
@@ -67,7 +68,6 @@
 		-Dwith_support=true \
 		-Dwith_symbol-tree=true \
 		-Dwith_sysmon=true \
-		-Dwith_terminal=true \
 		-Dwith_todo=true \
 		-Dwith_vala-pack=true \
 		-Dwith_xml-pack=true \

## gnome-builder 3.28.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,10 +1,8 @@
-# TODO: Add descriptions to all of these
-option('enable_tracing', type: 'boolean', value: false)
-option('enable_profiling', type: 'boolean', value: false)
-option('enable_rdtscp', type: 'boolean', value: false,
-  description: 'High performance counters'
-)
+option('enable_tracing', type: 'boolean', value: false, description: 'Enable tracing of internals for troubleshooting Builder')
+option('enable_profiling', type: 'boolean', value: false, description: 'Enable profiling of the Builder codebase')
+option('enable_rdtscp', type: 'boolean', value: false, description: 'High performance counters')
 
+option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')
 option('with_channel',
           type: 'combo',
        choices: [ 'other', 'flatpak-stable', 'flatpak-nightly' ],
@@ -13,10 +11,9 @@
 
 option('with_editorconfig', type: 'boolean')
 option('with_webkit', type: 'boolean')
-option('with_introspection', type: 'boolean')
 option('with_vapi', type: 'boolean')
 option('with_help', type: 'boolean')
-option('with_docs', type: 'boolean')
+option('with_docs', type: 'boolean', value: false)
 
 # Plugins
 # Ideally we want many of these to be defined in the plugin dir:
@@ -36,6 +33,7 @@
 option('with_ctags', type: 'boolean')
 option('with_documentation_card', type: 'boolean')
 option('with_devhelp', type: 'boolean')
+option('with_deviced', type: 'boolean', value: false)
 option('with_eslint', type: 'boolean')
 option('with_file_search', type: 'boolean')
 option('with_find_other_file', type: 'boolean')
@@ -44,7 +42,9 @@
 option('with_gdb', type: 'boolean')
 option('with_gettext', type: 'boolean')
 option('with_git', type: 'boolean')
+option('with_gjs_symbols', type: 'boolean')
 option('with_gnome_code_assistance', type: 'boolean')
+option('with_go_langserv', type: 'boolean')
 option('with_history', type: 'boolean')
 option('with_html_completion', type: 'boolean')
 option('with_html_preview', type: 'boolean')
@@ -53,14 +53,15 @@
 option('with_make', type: 'boolean')
 option('with_meson', type: 'boolean')
 option('with_meson_templates', type: 'boolean')
-option('with_mingw', type: 'boolean')
 option('with_mono', type: 'boolean')
 option('with_notification', type: 'boolean')
+option('with_newcomers', type: 'boolean')
 option('with_npm', type: 'boolean')
 option('with_phpize', type: 'boolean')
 option('with_project_tree', type: 'boolean')
 option('with_python_gi_imports_completion', type: 'boolean')
 option('with_python_pack', type: 'boolean')
+option('with_qemu', type: 'boolean')
 option('with_quick_highlight', type: 'boolean')
 option('with_retab', type: 'boolean')
 option('with_rust_langserv', type: 'boolean')
@@ -70,7 +71,6 @@
 option('with_symbol_tree', type: 'boolean')
 option('with_sysmon', type: 'boolean')
 option('with_sysprof', type: 'boolean')
-option('with_terminal', type: 'boolean')
 option('with_todo', type: 'boolean')
 option('with_vala_pack', type: 'boolean')
 option('with_valgrind', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.28.1-1ubuntu1) bionic; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/p/revert-require-vte*.patch: Ubuntu's vte2.91 doesn't use pcre2 yet 
    - debian/gbp.conf, control.in: update for ubuntu branch/tags on salsa

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Apr 2018 17:34:38 -0400

gnome-builder (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 10 Apr 2018 17:28:22 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util,
                ca-certificates <!nocheck>,
                dh-python,
@@ -49,7 +49,7 @@
                xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
 #               gtk-doc-tools,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder/tree/ubuntu/bionic
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git -b ubuntu/bionic
 Homepage: https://wiki.gnome.org/Apps/Builder

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
